My Oracle Support Banner

'Target Work Repository ... is invalid' Signaled When Running ODI 11.1.1.5 Upgrade Assistant When Repositories Stored On Microsoft SQL Server (Doc ID 1323685.1)

Last updated on JUNE 16, 2022

Applies to:

Oracle Data Integrator - Version 11.1.1.3.0 to 11.1.1.5.0 [Release 11gR1]
Information in this document applies to any platform.

Symptoms

When attempting to follow the documentation :

While attempting to perform an upgrade from version 11.1.1.3 to 11.1.1.5 in Task 7 :

When the ODI Repositories are installed on Microsoft SQL Server databases

After you have specified your correct Work Repository, you the following message is signaled when validating the ODI Work Repositories :

Target Work Repository <Work Repository Name> is invalid.


and Upgrade Assistant (UA) log file shows the the following  :

[ERROR] [UPGAST-01002] [upgrade.FrameworkMR] [tid: <TID>] [ecid: <ECID>] Upgrade is unable to connect to the metadata repository database.[[
java.sql.SQLSyntaxErrorException: [OWLS][SQLServer JDBC Driver][SQLServer]Invalid object name 'NLS_DATABASE_PARAMETERS'.
at weblogic.jdbc.sqlserverbase.dda4.b(Unknown Source)
at weblogic.jdbc.sqlserverbase.dda4.a(Unknown Source)
....

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.